org.jboss.netty.handler.timeout

## Class WriteTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.netty.channel.ChannelException
        - - org.jboss.netty.handler.timeout.TimeoutException
          - - org.jboss.netty.handler.timeout.WriteTimeoutException

All Implemented Interfaces:
  Serializable

    public class WriteTimeoutException
    extends TimeoutException

A `TimeoutException` raised by `WriteTimeoutHandler` when no data was written within a certain period of time.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WriteTimeoutException()` Creates a new instance.
`WriteTimeoutException(String message)` Creates a new instance.
`WriteTimeoutException(String message, Throwable cause)` Creates a new instance.
`WriteTimeoutException(Throwable cause)` Creates a new instance.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WriteTimeoutException

    public WriteTimeoutException()

Creates a new instance.

#### WriteTimeoutException

    public WriteTimeoutException(String message,
                         Throwable cause)

Creates a new instance.

#### WriteTimeoutException

    public WriteTimeoutException(String message)

Creates a new instance.

#### WriteTimeoutException

    public WriteTimeoutException(Throwable cause)

Creates a new instance.